<script setup>
import AppShare from '@/helpers/AppShare'
import { useDialogStore } from '@/stores/DialogStore'
import { useAppStore } from '@/stores/AppStore'
</script>


<script>
export default {

	data() {
		return {
			loaded: false,
		}
	},

	methods: {
		async setup() {
			const dialogStore = useDialogStore()
			const result = await dialogStore.waitBox(async () =>
				await AppShare.client.call(`authenx/line${window.location.search}`, {
					method: 'GET',
					headers: AppShare.client.defaultHeaders(),
				})
			)
			if (!dialogStore.handleRestError(result)) {
				const member = result?.json.member;
				const token = result?.json.token;
				await useAppStore().signInWithExternalToken(member, token);
			}
			this.$router.push({ path: '/' })
		}
	},

	mounted() {
		this.setup()
	},

	i18n: {
		messages: {
			en: {
			},
			th: {
			},
		},
	},
}
</script>


<template>
	<AppBoxTiny :title="$t('wait')">
		<a v-if="loaded" href="/">{{  $t('authenExternal.click')  }}</a>
	</AppBoxTiny>
</template>


<style scoped>
</style>
